Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class LineRecordReader.LineReader

    java.lang.Object
      org.apache.hadoop.util.LineReader
          org.apache.hadoop.mapred.LineRecordReader.LineReader

Enclosing class:
  LineRecordReader

Deprecated. Use `LineReader` instead.

    @Deprecated
    public static class LineRecordReader.LineReader

extends LineReader

A class that provides a line reader from an input stream.

Constructor Summary
`LineRecordReader.LineReader(InputStream in, Configuration conf)` Deprecated.

Method Summary

Methods inherited from class org.apache.hadoop.util.LineReader
`close, readLine, readLine, readLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineRecordReader.LineReader

    public LineRecordReader.LineReader(InputStream in,
                                       Configuration conf)
                                throws IOException

  Deprecated.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation